; =================================================================================================
; Title:   MSChart20Lib.inc
; Author:  G. Friedrich
; Version: 1.0.0
; Purpose: MSChart using ObjAsm32.
; Notes:   Generated .INC file by COMView
;          typelib name=MSChart20Lib
;          documentation=Microsoft Chart Control 6.0 (OLEDB)
;          GUID={65E121D4-0C60-11D2-A9FC-0000F8754DA1}
;          Version 2.0, LCID 0
;
;          Version 1.0.0, March 2009
;            - First release.
; =================================================================================================


sTLBID_MSChart20Lib textequ <65E121D4-0C60-11D2-A9FC-0000F8754DA1>

_MajorVer_MSChart20Lib equ 2
_MinorVer_MSChart20Lib equ 0


OLE_XPOS_PIXELS typedef sdword
OLE_YPOS_PIXELS typedef sdword


;ErrorConstants
ErrorConstants typedef sdword
VtOk                              equ  0
VtFail                            equ  1000          ;=03E8h
VtErrorDeletingUsedObject         equ  1001          ;=03E9h
VtErrorDeletingDeletedObject      equ  1002          ;=03EAh
VtErrorCorruptData                equ  1003          ;=03EBh
VtErrorNotImplemented             equ  1004          ;=03ECh
VtErrorNoMemory                   equ  1100          ;=044Ch
VtErrorInvalidArgument            equ  1101          ;=044Dh
VtErrorNotFound                   equ  1102          ;=044Eh
VtErrorTooSmall                   equ  1103          ;=044Fh
VtErrorInvalidRequest             equ  1104          ;=0450h
VtErrorStreamIo                   equ  1105          ;=0451h
VtErrorUserIo                     equ  1106          ;=0452h
VtErrorCorruptArchive             equ  1107          ;=0453h
VtErrorArchiveVersion             equ  1108          ;=0454h
VtErrorArchiveTypeMismatch        equ  1109          ;=0455h
VtErrorArchivePointerMismatch     equ  1110          ;=0456h
VtErrorCannotOpenFile             equ  1111          ;=0457h
VtErrorUnableToLoadString         equ  1112          ;=0458h
VtErrorBufferTooSmall             equ  1113          ;=0459h
VtErrorCopyingObject              equ  1114          ;=045Ah
VtErrorDuplicateObject            equ  1115          ;=045Bh
VtErrorActionCanceled             equ  1116          ;=045Ch
VtErrorInvalidIndex               equ  1117          ;=045Dh
VtErrorInvalidTypeConversion      equ  1118          ;=045Eh
VtErrorInvalidObject              equ  1119          ;=045Fh
VtErrorCreateWindow               equ  1120          ;=0460h
VtErrorOSVersion                  equ  1121          ;=0461h
VtErrorLoadPicture                equ  1122          ;=0462h
VtErrorInvalidSyntax              equ  1200          ;=04B0h
VtErrorIdentifierTooBig           equ  1201          ;=04B1h
VtErrorUnrecongizedFunction       equ  1202          ;=04B2h
VtErrorUnrecongizedSymbol         equ  1203          ;=04B3h
VtErrorUnexpectedEOS              equ  1204          ;=04B4h
VtErrorDuplicateSymbol            equ  1205          ;=04B5h
VtErrorDisplay                    equ  1500          ;=05DCh
VtErrorInvalidFontName            equ  1501          ;=05DDh
VtErrorInvalidFont                equ  1502          ;=05DEh
VtErrorNoDisplayResources         equ  1503          ;=05DFh
VtErrorDefaultFontSubstituted     equ  1504          ;=05E0h
VtChError                         equ  2000          ;=07D0h
VtChErrorInvalidHandle            equ  2001          ;=07D1h
VtChErrorNoData                   equ  2002          ;=07D2h
VtChErrorInvalidSeriesNumber      equ  2003          ;=07D3h
VtChErrorInvalidAxis              equ  2004          ;=07D4h
VtChErrorRestrictedVersion        equ  2005          ;=07D5h
InvalidPropertyValue              equ  380           ;=017Ch
GetNotSupported                   equ  394           ;=018Ah
SetNotSupported                   equ  383           ;=017Fh
InvalidProcedureCall              equ  5
InvalidObjectUse                  equ  425           ;=01A9h
WrongClipboardFormat              equ  461           ;=01CDh
DataObjectLocked                  equ  672           ;=02A0h
ExpectedAnArgument                equ  673           ;=02A1h
RecursiveOleDrag                  equ  674           ;=02A2h
FormatNotByteArray                equ  675           ;=02A3h
DataNotSetForFormat               equ  676           ;=02A4h

;OLEDropConstants
OLEDropConstants typedef sdword
chOLEDropNone                     equ  0
chOLEDropManual                   equ  1
chOLEDropAutomatic                equ  2

;OLEDragConstants
OLEDragConstants typedef sdword
chOLEDragManual                   equ  0
chOLEDragAutomatic                equ  1

;VtHorizontalAlignment
VtHorizontalAlignment typedef sdword
VtHorizontalAlignmentLeft         equ  0
VtHorizontalAlignmentRight        equ  1
VtHorizontalAlignmentCenter       equ  2
VtHorizontalAlignmentFill         equ  3
VtHorizontalAlignmentFlush        equ  4

;VtVerticalAlignment
VtVerticalAlignment typedef sdword
VtVerticalAlignmentTop            equ  0
VtVerticalAlignmentBottom         equ  1
VtVerticalAlignmentCenter         equ  2

;VtOrientation
VtOrientation typedef sdword
VtOrientationHorizontal           equ  0
VtOrientationVertical             equ  1
VtOrientationUp                   equ  2
VtOrientationDown                 equ  3

;VtSortType
VtSortType typedef sdword
VtSortTypeNone                    equ  0
VtSortTypeAscending               equ  1
VtSortTypeDescending              equ  2

;VtAngleUnits
VtAngleUnits typedef sdword
VtAngleUnitsDegrees               equ  0
VtAngleUnitsRadians               equ  1
VtAngleUnitsGrads                 equ  2

;VtPrintScaleType
VtPrintScaleType typedef sdword
VtPrintScaleTypeActual            equ  0
VtPrintScaleTypeFitted            equ  1
VtPrintScaleTypeStretched         equ  2

;VtPrintOrientation
VtPrintOrientation typedef sdword
VtPrintOrientationPortrait        equ  0
VtPrintOrientationLandscape       equ  1

;VtFontStyle
VtFontStyle typedef sdword
VtFontStyleBold                   equ  1
VtFontStyleItalic                 equ  2
VtFontStyleOutline                equ  4

;VtFontEffect
VtFontEffect typedef sdword
VtFontEffectStrikeThrough         equ  256          ;=0100h
VtFontEffectUnderline             equ  512          ;=0200h

;VtBrushStyle
VtBrushStyle typedef sdword
VtBrushStyleNull                  equ  0
VtBrushStyleSolid                 equ  1
VtBrushStylePattern               equ  2
VtBrushStyleHatched               equ  3

;VtBrushPatterns
VtBrushPatterns typedef sdword
VtBrushPattern94Percent           equ  0
VtBrushPattern88Percent           equ  1
VtBrushPattern75Percent           equ  2
VtBrushPattern50Percent           equ  3
VtBrushPattern25Percent           equ  4
VtBrushPatternBoldHorizontal      equ  5
VtBrushPatternBoldVertical        equ  6
VtBrushPatternBoldDownDiagonal    equ  7
VtBrushPatternBoldUpDiagonal      equ  8
VtBrushPatternChecks              equ  9
VtBrushPatternWeave               equ  10
VtBrushPatternHorizontal          equ  11
VtBrushPatternVertical            equ  12
VtBrushPatternDownDiagonal        equ  13
VtBrushPatternUpDiagonal          equ  14
VtBrushPatternGrid                equ  15
VtBrushPatternTrellis             equ  16          ;=010h
VtBrushPatternInvertedTrellis     equ  17          ;=011h
VtBrushPatternCount               equ  18          ;=012h

;--- VtBrushHatches, Type=ENUM, GUID={B8CC5B9B-BD29-11D1-B137-0000F8753F5D}

VtBrushHatches typedef sdword
VtBrushHatchHorizontal            equ  0
VtBrushHatchVertical              equ  1
VtBrushHatchDownDiagonal          equ  2
VtBrushHatchUpDiagonal            equ  3
VtBrushHatchCross                 equ  4
VtBrushHatchDiagonalCross         equ  5
VtBrushHatchCount                 equ  6

;--- VtShadowStyle, Type=ENUM, GUID={B8CC5B9C-BD29-11D1-B137-0000F8753F5D}

VtShadowStyle typedef sdword
VtShadowStyleNull                 equ  0
VtShadowStyleDrop                 equ  1

;--- VtPenStyle, Type=ENUM, GUID={B8CC5B9D-BD29-11D1-B137-0000F8753F5D}

VtPenStyle typedef sdword
VtPenStyleNull                    equ  0
VtPenStyleSolid                   equ  1
VtPenStyleDashed                  equ  2
VtPenStyleDotted                  equ  3
VtPenStyleDashDot                 equ  4
VtPenStyleDashDotDot              equ  5
VtPenStyleDitted                  equ  6
VtPenStyleDashDit                 equ  7
VtPenStyleDashDitDit              equ  8
VtPenStyleNative                  equ  9

;--- VtPenJoin, Type=ENUM, GUID={B8CC5B9E-BD29-11D1-B137-0000F8753F5D}

VtPenJoin typedef sdword
VtPenJoinMiter                    equ  0
VtPenJoinRound                    equ  1
VtPenJoinBevel                    equ  2

;--- VtPenCap, Type=ENUM, GUID={B8CC5B9F-BD29-11D1-B137-0000F8753F5D}

VtPenCap typedef sdword
VtPenCapButt                      equ  0
VtPenCapRound                     equ  1
VtPenCapSquare                    equ  2

;--- VtFrameStyle, Type=ENUM, GUID={B8CC5BA0-BD29-11D1-B137-0000F8753F5D}

VtFrameStyle typedef sdword
VtFrameStyleNull                  equ  0
VtFrameStyleSingleLine            equ  1
VtFrameStyleDoubleLine            equ  2
VtFrameStyleThickInner            equ  3
VtFrameStyleThickOuter            equ  4

;--- VtPictureType, Type=ENUM, GUID={B8CC5BA1-BD29-11D1-B137-0000F8753F5D}

VtPictureType typedef sdword
VtPictureTypeNull                 equ  0
VtPictureTypeBitmap               equ  1
VtPictureTypeVector               equ  2
VtPictureTypeBMP                  equ  3
VtPictureTypeWMF                  equ  4

;--- VtPictureOption, Type=ENUM, GUID={B8CC5BA2-BD29-11D1-B137-0000F8753F5D}

VtPictureOption typedef sdword
VtPictureOptionNoSizeHeader       equ  1
VtPictureOptionTextAsCurves       equ  2

;--- VtPictureMapType, Type=ENUM, GUID={B8CC5BA3-BD29-11D1-B137-0000F8753F5D}

VtPictureMapType typedef sdword
VtPictureMapTypeActual            equ  0
VtPictureMapTypeFitted            equ  1
VtPictureMapTypeStretched         equ  2
VtPictureMapTypeTiled             equ  3
VtPictureMapTypeCropFitted        equ  4
VtPictureMapTypeHorizontalTile    equ  5
VtPictureMapTypeVerticalTile      equ  6

;--- VtGradientStyle, Type=ENUM, GUID={B8CC5BA4-BD29-11D1-B137-0000F8753F5D}

VtGradientStyle typedef sdword
VtGradientStyleHorizontal         equ  0
VtGradientStyleVertical           equ  1
VtGradientStyleRectangle          equ  2
VtGradientStyleOval               equ  3

;--- VtFillStyle, Type=ENUM, GUID={B8CC5BA5-BD29-11D1-B137-0000F8753F5D}

VtFillStyle typedef sdword
VtFillStyleNull                   equ  0
VtFillStyleBrush                  equ  1
VtFillStyleGradient               equ  2

;--- VtMarkerStyle, Type=ENUM, GUID={B8CC5BA6-BD29-11D1-B137-0000F8753F5D}

VtMarkerStyle typedef sdword
VtMarkerStyleDash                 equ  0
VtMarkerStylePlus                 equ  1
VtMarkerStyleX                    equ  2
VtMarkerStyleStar                 equ  3
VtMarkerStyleCircle               equ  4
VtMarkerStyleSquare               equ  5
VtMarkerStyleDiamond              equ  6
VtMarkerStyleUpTriangle           equ  7
VtMarkerStyleDownTriangle         equ  8
VtMarkerStyleFilledCircle         equ  9
VtMarkerStyleFilledSquare         equ  10
VtMarkerStyleFilledDiamond        equ  11
VtMarkerStyleFilledUpTriangle     equ  12
VtMarkerStyleFilledDownTriangle   equ  13
VtMarkerStyle3dBall               equ  14
VtMarkerStyleNull                 equ  15
VtMarkerStyleCount                equ  16          ;=010h

;--- VtProjectionType, Type=ENUM, GUID={B8CC5BA7-BD29-11D1-B137-0000F8753F5D}

VtProjectionType typedef sdword
VtProjectionTypePerspective       equ  0
VtProjectionTypeOblique           equ  1
VtProjectionTypeOrthogonal        equ  2
VtProjectionTypeFrontal           equ  3
VtProjectionTypeOverhead          equ  4

;--- VtSmoothingType, Type=ENUM, GUID={B8CC5BA8-BD29-11D1-B137-0000F8753F5D}

VtSmoothingType typedef sdword
VtSmoothingTypeNone               equ  0
VtSmoothingTypeQuadraticBSpline   equ  1
VtSmoothingTypeCubicBSpline       equ  2

;--- VtDcType, Type=ENUM, GUID={B8CC5BA9-BD29-11D1-B137-0000F8753F5D}

VtDcType typedef sdword
VtDcTypeNull                      equ  0
VtDcTypeDisplay                   equ  1
VtDcTypePrinter                   equ  2
VtDcTypeMetafile                  equ  3

;--- VtTextOutputType, Type=ENUM, GUID={B8CC5BAA-BD29-11D1-B137-0000F8753F5D}

VtTextOutputType typedef sdword
VtTextOutputTypeHardware          equ  0
VtTextOutputTypePolygon           equ  1

;--- VtTextLengthType, Type=ENUM, GUID={B8CC5BAB-BD29-11D1-B137-0000F8753F5D}

VtTextLengthType typedef sdword
VtTextLengthTypeVirtual           equ  0
VtTextLengthTypeDevice            equ  1

;--- VtChChartType, Type=ENUM, GUID={C091D289-BD43-11D1-B137-0000F8753F5D}

VtChChartType typedef sdword
VtChChartType3dBar                equ  0
VtChChartType2dBar                equ  1
VtChChartType3dLine               equ  2
VtChChartType2dLine               equ  3
VtChChartType3dArea               equ  4
VtChChartType2dArea               equ  5
VtChChartType3dStep               equ  6
VtChChartType2dStep               equ  7
VtChChartType3dCombination        equ  8
VtChChartType2dCombination        equ  9
VtChChartType3dHorizontalBar      equ  10
VtChChartType2dHorizontalBar      equ  11
VtChChartType3dClusteredBar       equ  12
VtChChartType3dPie                equ  13
VtChChartType2dPie                equ  14
VtChChartType3dDoughnut           equ  15
VtChChartType2dXY                 equ  16          ;=010h
VtChChartType2dPolar              equ  17          ;=011h
VtChChartType2dRadar              equ  18          ;=012h
VtChChartType2dBubble             equ  19          ;=013h
VtChChartType2dHiLo               equ  20          ;=014h
VtChChartType2dGantt              equ  21          ;=015h
VtChChartType3dGantt              equ  22          ;=016h
VtChChartType3dSurface            equ  23          ;=017h
VtChChartType2dContour            equ  24          ;=018h
VtChChartType3dScatter            equ  25          ;=019h
VtChChartType3dXYZ                equ  26          ;=01Ah
VtChChartTypeCount                equ  27          ;=01Bh

;--- VtChSeriesType, Type=ENUM, GUID={C091D28A-BD43-11D1-B137-0000F8753F5D}

VtChSeriesType typedef sdword
VtChSeriesTypeVaries              equ  -2          ;=0FFFFFFFEh
VtChSeriesTypeDefault             equ  -1
VtChSeriesType3dBar               equ  0
VtChSeriesType2dBar               equ  1
VtChSeriesType3dHorizontalBar     equ  2
VtChSeriesType2dHorizontalBar     equ  3
VtChSeriesType3dClusteredBar      equ  4
VtChSeriesType3dLine              equ  5
VtChSeriesType2dLine              equ  6
VtChSeriesType3dArea              equ  7
VtChSeriesType2dArea              equ  8
VtChSeriesType3dStep              equ  9
VtChSeriesType2dStep              equ  10
VtChSeriesType2dXY                equ  11
VtChSeriesType2dPolar             equ  12
VtChSeriesType2dRadarLine         equ  13
VtChSeriesType2dRadarArea         equ  14
VtChSeriesType2dBubble            equ  15
VtChSeriesType2dHiLo              equ  16          ;=010h
VtChSeriesType2dHLC               equ  17          ;=011h
VtChSeriesType2dHLCRight          equ  18          ;=012h
VtChSeriesType2dOHLC              equ  19          ;=013h
VtChSeriesType2dOHLCBar           equ  20          ;=014h
VtChSeriesType2dGantt             equ  21          ;=015h
VtChSeriesType3dGantt             equ  22          ;=016h
VtChSeriesType3dPie               equ  23          ;=017h
VtChSeriesType2dPie               equ  24          ;=018h
VtChSeriesType3dDoughnut          equ  25          ;=019h
VtChSeriesType2dDates             equ  26          ;=01Ah
VtChSeriesType3dBarHiLo           equ  27          ;=01Bh
VtChSeriesType2dBarHiLo           equ  28          ;=01Ch
VtChSeriesType3dHorizontalBarHiLo equ  29          ;=01Dh
VtChSeriesType2dHorizontalBarHiLo equ  30          ;=01Eh
VtChSeriesType3dClusteredBarHiLo  equ  31          ;=01Fh
VtChSeriesType3dSurface           equ  32          ;=020h
VtChSeriesType2dContour           equ  33          ;=021h
VtChSeriesType3dXYZ               equ  34          ;=022h
VtChSeriesTypeCount               equ  35          ;=023h

;--- VtChPartType, Type=ENUM, GUID={C091D28B-BD43-11D1-B137-0000F8753F5D}

VtChPartType typedef sdword
VtChPartTypeChart                 equ  0
VtChPartTypeTitle                 equ  1
VtChPartTypeFootnote              equ  2
VtChPartTypeLegend                equ  3
VtChPartTypePlot                  equ  4
VtChPartTypeSeries                equ  5
VtChPartTypeSeriesLabel           equ  6
VtChPartTypePoint                 equ  7
VtChPartTypePointLabel            equ  8
VtChPartTypeAxis                  equ  9
VtChPartTypeAxisLabel             equ  10
VtChPartTypeAxisTitle             equ  11
VtChPartTypeSeriesName            equ  12
VtChPartTypePointName             equ  13
VtChPartTypeCount                 equ  14

;--- VtChLocationType, Type=ENUM, GUID={C091D28C-BD43-11D1-B137-0000F8753F5D}

VtChLocationType typedef sdword
VtChLocationTypeTopLeft           equ  0
VtChLocationTypeTop               equ  1
VtChLocationTypeTopRight          equ  2
VtChLocationTypeLeft              equ  3
VtChLocationTypeRight             equ  4
VtChLocationTypeBottomLeft        equ  5
VtChLocationTypeBottom            equ  6
VtChLocationTypeBottomRight       equ  7
VtChLocationTypeCustom            equ  8

;--- VtChLabelComponent, Type=ENUM, GUID={C091D28D-BD43-11D1-B137-0000F8753F5D}

VtChLabelComponent typedef sdword
VtChLabelComponentValue           equ  1
VtChLabelComponentPercent         equ  2
VtChLabelComponentSeriesName      equ  4
VtChLabelComponentPointName       equ  8

;--- VtChLabelLineStyle, Type=ENUM, GUID={C091D28E-BD43-11D1-B137-0000F8753F5D}

VtChLabelLineStyle typedef sdword
VtChLabelLineStyleNone            equ  0
VtChLabelLineStyleStraight        equ  1
VtChLabelLineStyleBent            equ  2

;--- VtChLabelLocationType, Type=ENUM, GUID={C091D28F-BD43-11D1-B137-0000F8753F5D}

VtChLabelLocationType typedef sdword
VtChLabelLocationTypeNone         equ  0
VtChLabelLocationTypeAbovePoint   equ  1
VtChLabelLocationTypeBelowPoint   equ  2
VtChLabelLocationTypeCenter       equ  3
VtChLabelLocationTypeBase         equ  4
VtChLabelLocationTypeInside       equ  5
VtChLabelLocationTypeOutside      equ  6
VtChLabelLocationTypeLeft         equ  7
VtChLabelLocationTypeRight        equ  8

;--- VtChSubPlotLabelLocationType, Type=ENUM, GUID={C091D290-BD43-11D1-B137-0000F8753F5D}

VtChSubPlotLabelLocationType typedef sdword
VtChSubPlotLabelLocationTypeNone  equ  0
VtChSubPlotLabelLocationTypeAbove equ  1
VtChSubPlotLabelLocationTypeBelow equ  2
VtChSubPlotLabelLocationTypeCenter  equ  3

;--- VtChPieWeightBasis, Type=ENUM, GUID={C091D291-BD43-11D1-B137-0000F8753F5D}

VtChPieWeightBasis typedef sdword
VtChPieWeightBasisNone            equ  0
VtChPieWeightBasisTotal           equ  1
VtChPieWeightBasisSeries          equ  2

;--- VtChPieWeightStyle, Type=ENUM, GUID={C091D292-BD43-11D1-B137-0000F8753F5D}

VtChPieWeightStyle typedef sdword
VtChPieWeightStyleArea            equ  0
VtChPieWeightStyleDiameter        equ  1

;--- VtChAxisId, Type=ENUM, GUID={C091D293-BD43-11D1-B137-0000F8753F5D}

VtChAxisId typedef sdword
VtChAxisIdX                       equ  0
VtChAxisIdY                       equ  1
VtChAxisIdY2                      equ  2
VtChAxisIdZ                       equ  3
VtChAxisIdNone                    equ  4

;--- VtChDateIntervalType, Type=ENUM, GUID={C091D294-BD43-11D1-B137-0000F8753F5D}

VtChDateIntervalType typedef sdword
VtChDateIntervalTypeNone          equ  0
VtChDateIntervalTypeDaily         equ  1
VtChDateIntervalTypeWeekly        equ  2
VtChDateIntervalTypeSemimonthly   equ  3
VtChDateIntervalTypeMonthly       equ  4
VtChDateIntervalTypeYearly        equ  5

;--- VtChScaleType, Type=ENUM, GUID={C091D295-BD43-11D1-B137-0000F8753F5D}

VtChScaleType typedef sdword
VtChScaleTypeLinear               equ  0
VtChScaleTypeLogarithmic          equ  1
VtChScaleTypePercent              equ  2

;--- VtChPercentAxisBasis, Type=ENUM, GUID={C091D296-BD43-11D1-B137-0000F8753F5D}

VtChPercentAxisBasis typedef sdword
VtChPercentAxisBasisMaxChart      equ  0
VtChPercentAxisBasisMaxRow        equ  1
VtChPercentAxisBasisMaxColumn     equ  2
VtChPercentAxisBasisSumChart      equ  3
VtChPercentAxisBasisSumRow        equ  4
VtChPercentAxisBasisSumColumn     equ  5

;--- VtChAxisTickStyle, Type=ENUM, GUID={C091D297-BD43-11D1-B137-0000F8753F5D}

VtChAxisTickStyle typedef sdword
VtChAxisTickStyleNone             equ  0
VtChAxisTickStyleCenter           equ  1
VtChAxisTickStyleInside           equ  2
VtChAxisTickStyleOutside          equ  3

;--- VtChStats, Type=ENUM, GUID={C091D298-BD43-11D1-B137-0000F8753F5D}

VtChStats typedef sdword
VtChStatsMinimum                  equ  1
VtChStatsMaximum                  equ  2
VtChStatsMean                     equ  4
VtChStatsStddev                   equ  8
VtChStatsRegression               equ  16          ;=010h

;--- VtChUpdateFlags, Type=ENUM, GUID={C091D299-BD43-11D1-B137-0000F8753F5D}

VtChUpdateFlags typedef sdword
VtChNoDisplay                     equ  0
VtChDisplayPlot                   equ  1
VtChLayoutPlot                    equ  2
VtChDisplayLegend                 equ  4
VtChLayoutLegend                  equ  8
VtChLayoutSeries                  equ  16          ;=010h
VtChPositionSection               equ  32          ;=020h

;--- VtChMouseFlag, Type=ENUM, GUID={C091D2A2-BD43-11D1-B137-0000F8753F5D}

VtChMouseFlag typedef sdword
VtChMouseFlagShiftKeyDown         equ  4
VtChMouseFlagControlKeyDown       equ  8

;--- VtChSsLinkMode, Type=ENUM, GUID={C091D29A-BD43-11D1-B137-0000F8753F5D}

VtChSsLinkMode typedef sdword
VtChSsLinkModeOff                 equ  0
VtChSsLinkModeOn                  equ  1
VtChSsLinkModeAutoParse           equ  2

;--- VtChDrawMode, Type=ENUM, GUID={C091D29B-BD43-11D1-B137-0000F8753F5D}

VtChDrawMode typedef sdword
VtChDrawModeDraw                  equ  0
VtChDrawModeBlit                  equ  1

;--- VtChContourColorType, Type=ENUM, GUID={C091D29C-BD43-11D1-B137-0000F8753F5D}

VtChContourColorType typedef sdword
VtChContourColorTypeAutomatic     equ  0
VtChContourColorTypeGradient      equ  1
VtChContourColorTypeManual        equ  2

;--- VtChContourDisplayType, Type=ENUM, GUID={C091D29D-BD43-11D1-B137-0000F8753F5D}

VtChContourDisplayType typedef sdword
VtChContourDisplayTypeCBands      equ  0
VtChContourDisplayTypeCLines      equ  1

;--- VtChSurfaceBaseType, Type=ENUM, GUID={C091D29E-BD43-11D1-B137-0000F8753F5D}

VtChSurfaceBaseType typedef sdword
VtChSurfaceBaseTypePedestal       equ  0
VtChSurfaceBaseTypeStandard       equ  1
VtChSurfaceBaseTypeStandardWithCBands  equ  2
VtChSurfaceBaseTypeStandardWithCLines  equ  3

;--- VtChSurfaceDisplayType, Type=ENUM, GUID={C091D29F-BD43-11D1-B137-0000F8753F5D}

VtChSurfaceDisplayType typedef sdword
VtChSurfaceDisplayTypeNone        equ  0
VtChSurfaceDisplayTypeCBands      equ  1
VtChSurfaceDisplayTypeCLines      equ  2
VtChSurfaceDisplayTypeSolid       equ  3
VtChSurfaceDisplayTypeSolidWithCLines  equ  4

;--- VtChSurfaceProjectionType, Type=ENUM, GUID={C091D2A0-BD43-11D1-B137-0000F8753F5D}

VtChSurfaceProjectionType typedef sdword
VtChSurfaceProjectionTypeNone     equ  0
VtChSurfaceProjectionTypeCBands   equ  1
VtChSurfaceProjectionTypeCLines   equ  2

;--- VtChSurfaceWireframeType, Type=ENUM, GUID={C091D2A1-BD43-11D1-B137-0000F8753F5D}

VtChSurfaceWireframeType typedef sdword
VtChSurfaceWireframeTypeNone      equ  0
VtChSurfaceWireframeTypeMajor     equ  1
VtChSurfaceWireframeTypeMajorAndMinor  equ  2

;--- VtBorderStyle, Type=ENUM, GUID={3A2B3708-BA0A-11D1-B137-0000F8753F5D}

VtBorderStyle typedef sdword
VtBorderStyleNone                 equ  0
VtBorderStyleFixedSingle          equ  1

;--- VtMousePointer, Type=ENUM, GUID={3A2B3709-BA0A-11D1-B137-0000F8753F5D}

VtMousePointer typedef sdword
VtMousePointerDefault             equ  0
VtMousePointerArrow               equ  1
VtMousePointerCross               equ  2
VtMousePointerIbeam               equ  3
VtMousePointerIcon                equ  4
VtMousePointerSize                equ  5
VtMousePointerSizeNESW            equ  6
VtMousePointerSizeNS              equ  7
VtMousePointerSizeNWSE            equ  8
VtMousePointerSizeWE              equ  9
VtMousePointerUpArrow             equ  10
VtMousePointerHourGlass           equ  11
VtMousePointerNoDrop              equ  12
VtMousePointerArrowHourGlass      equ  13
VtMousePointerArrowQuestion       equ  14
VtMousePointerSizeAll             equ  15


BEGIN_INTERFACE IVBDataObject, IDispatch, <2334D2B1-713E-11CF-8AE5-00AA00C00905>
  STDMETHOD  Clear
  STDMETHOD  GetData, :sword,:ptr VARIANT
  STDMETHOD  GetFormat, :sword,:ptr BOOL
  STDMETHOD  SetData, :VARIANT,:VARIANT
  STDMETHOD  get_Files, :ptr ptr IVBDataObjectFiles
END_INTERFACE


BEGIN_INTERFACE IVBDataObjectFiles, IDispatch, <2334D2B3-713E-11CF-8AE5-00AA00C00905>
  STDMETHOD  get_Item, :sdword,:ptr BSTR
  STDMETHOD  get_Count, :ptr sdword
  STDMETHOD  Add_, :BSTR,:VARIANT
  STDMETHOD  Clear
  STDMETHOD  Remove, :VARIANT
  STDMETHOD  _NewEnum, :ptr LPUNKNOWN
END_INTERFACE


BEGIN_INTERFACE IVcCoor, IDispatch, <E9E074C9-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_X, :ptr real4
  STDMETHOD  put_X, :real4
  STDMETHOD  get_Y, :ptr real4
  STDMETHOD  put_Y, :real4
  STDMETHOD  Set, :real4,:real4
END_INTERFACE


BEGIN_INTERFACE IVcLCoor, IDispatch, <E9E074CB-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_X, :ptr sdword
  STDMETHOD  put_X, :sdword
  STDMETHOD  get_Y, :ptr sdword
  STDMETHOD  put_Y, :sdword
  STDMETHOD  Set, :sdword,:sdword
END_INTERFACE


BEGIN_INTERFACE IVcRect, IDispatch, <E9E074CD-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Min, :ptr ptr IVcCoor
  STDMETHOD  get_Max, :ptr ptr IVcCoor
END_INTERFACE


BEGIN_INTERFACE IVcColor, IDispatch, <E9E074CF-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Red, :ptr sword
  STDMETHOD  put_Red, :sword
  STDMETHOD  get_Green, :ptr sword
  STDMETHOD  put_Green, :sword
  STDMETHOD  get_Blue, :ptr sword
  STDMETHOD  put_Blue, :sword
  STDMETHOD  get_Automatic, :ptr BOOL
  STDMETHOD  put_Automatic, :BOOL
  STDMETHOD  Set, :sword,:sword,:sword
END_INTERFACE


BEGIN_INTERFACE IVcPen, IDispatch, <E9E074D1-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Style, :ptr VtPenStyle
  STDMETHOD  put_Style, :VtPenStyle
  STDMETHOD  get_Join, :ptr VtPenJoin
  STDMETHOD  put_Join, :VtPenJoin
  STDMETHOD  get_Cap, :ptr VtPenCap
  STDMETHOD  put_Cap, :VtPenCap
  STDMETHOD  get_VtColor, :ptr ptr IVcColor
  STDMETHOD  get_Width, :ptr real4
  STDMETHOD  put_Width, :real4
  STDMETHOD  get_Limit, :ptr real4
  STDMETHOD  put_Limit, :real4
END_INTERFACE


BEGIN_INTERFACE IVcMarker, IDispatch, <E9E074D3-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Visible, :ptr BOOL
  STDMETHOD  put_Visible, :BOOL
  STDMETHOD  get_Style, :ptr VtMarkerStyle
  STDMETHOD  put_Style, :VtMarkerStyle
  STDMETHOD  get_Pen, :ptr ptr IVcPen
  STDMETHOD  get_Size, :ptr real4
  STDMETHOD  put_Size, :real4
  STDMETHOD  get_FillColor, :ptr ptr IVcColor
END_INTERFACE


BEGIN_INTERFACE IVcTextLayout, IDispatch, <E9E074D5-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_HorzAlignment, :ptr VtHorizontalAlignment
  STDMETHOD  put_HorzAlignment, :VtHorizontalAlignment
  STDMETHOD  get_VertAlignment, :ptr VtVerticalAlignment
  STDMETHOD  put_VertAlignment, :VtVerticalAlignment
  STDMETHOD  get_Orientation, :ptr VtOrientation
  STDMETHOD  put_Orientation, :VtOrientation
  STDMETHOD  get_WordWrap, :ptr BOOL
  STDMETHOD  put_WordWrap, :BOOL
END_INTERFACE


BEGIN_INTERFACE IVcLocation, IDispatch, <E9E074D6-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Rect, :ptr ptr IVcRect
  STDMETHOD  get_Visible, :ptr BOOL
  STDMETHOD  put_Visible, :BOOL
  STDMETHOD  get_LocationType, :ptr VtChLocationType
  STDMETHOD  put_LocationType, :VtChLocationType
END_INTERFACE


BEGIN_INTERFACE IVcFont, IDispatch, <E9E074D8-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Name, :ptr BSTR
  STDMETHOD  put_Name, :BSTR
  STDMETHOD  get_Size, :ptr real4
  STDMETHOD  put_Size, :real4
  STDMETHOD  get_Style, :ptr sword
  STDMETHOD  put_Style, :sword
  STDMETHOD  get_Effect, :ptr sword
  STDMETHOD  put_Effect, :sword
  STDMETHOD  get_VtColor, :ptr ptr IVcColor
END_INTERFACE


BEGIN_INTERFACE IVcBrush, IDispatch, <E9E074DA-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Style, :ptr VtBrushStyle
  STDMETHOD  put_Style, :VtBrushStyle
  STDMETHOD  get_FillColor, :ptr ptr IVcColor
  STDMETHOD  get_PatternColor, :ptr ptr IVcColor
  STDMETHOD  get_Index, :ptr VtBrushPatterns
  STDMETHOD  put_Index, :VtBrushPatterns
END_INTERFACE


BEGIN_INTERFACE IVcShadow, IDispatch, <E9E074DC-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Style, :ptr VtShadowStyle
  STDMETHOD  put_Style, :VtShadowStyle
  STDMETHOD  get_Brush, :ptr ptr IVcBrush
  STDMETHOD  get_Offset, :ptr ptr IVcCoor
END_INTERFACE


BEGIN_INTERFACE IVcFill, IDispatch, <E9E074DE-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Style, :ptr VtFillStyle
  STDMETHOD  put_Style, :VtFillStyle
  STDMETHOD  get_Brush, :ptr ptr IVcBrush
END_INTERFACE


BEGIN_INTERFACE IVcFrame, IDispatch, <E9E074E0-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Style, :ptr VtFrameStyle
  STDMETHOD  put_Style, :VtFrameStyle
  STDMETHOD  get_FrameColor, :ptr ptr IVcColor
  STDMETHOD  get_SpaceColor, :ptr ptr IVcColor
  STDMETHOD  get_Width, :ptr real4
  STDMETHOD  put_Width, :real4
END_INTERFACE


BEGIN_INTERFACE IVcBackdrop, IDispatch, <E9E074E2-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Shadow, :ptr ptr IVcShadow
  STDMETHOD  get_Frame, :ptr ptr IVcFrame
  STDMETHOD  get_Fill, :ptr ptr IVcFill
END_INTERFACE


BEGIN_INTERFACE IVcTitle, IDispatch, <E9E074E4-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__Text, :ptr BSTR
  STDMETHOD  put__Text, :BSTR
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  get_Text, :ptr BSTR
  STDMETHOD  put_Text, :BSTR
  STDMETHOD  get_Location, :ptr ptr IVcLocation
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_TextLength, :ptr sword
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
  STDMETHOD  Select
END_INTERFACE


BEGIN_INTERFACE IVcFootnote, IDispatch, <E9E074E6-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__Text, :ptr BSTR
  STDMETHOD  put__Text, :BSTR
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  get_Location, :ptr ptr IVcLocation
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_Text, :ptr BSTR
  STDMETHOD  put_Text, :BSTR
  STDMETHOD  get_TextLength, :ptr sword
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
  STDMETHOD  Select
END_INTERFACE


BEGIN_INTERFACE IVcLegend, IDispatch, <E9E074E8-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Location, :ptr ptr IVcLocation
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
  STDMETHOD  Select
END_INTERFACE


BEGIN_INTERFACE IVcDataGrid, IDispatch, <E9E074EA-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_ColumnCount, :ptr sword
  STDMETHOD  put_ColumnCount, :sword
  STDMETHOD  get_ColumnLabelCount, :ptr sword
  STDMETHOD  put_ColumnLabelCount, :sword
  STDMETHOD  get_RowLabelCount, :ptr sword
  STDMETHOD  put_RowLabelCount, :sword
  STDMETHOD  get_RowCount, :ptr sword
  STDMETHOD  put_RowCount, :sword
  STDMETHOD  DeleteColumns, :sword,:sword
  STDMETHOD  InsertColumns, :sword,:sword
  STDMETHOD  DeleteColumnLabels, :sword,:sword
  STDMETHOD  InsertColumnLabels, :sword,:sword
  STDMETHOD  DeleteRows, :sword,:sword
  STDMETHOD  InsertRows, :sword,:sword
  STDMETHOD  DeleteRowLabels, :sword,:sword
  STDMETHOD  InsertRowLabels, :sword,:sword
  STDMETHOD  RandomDataFill
  STDMETHOD  SetSize, :sword,:sword,:sword,:sword
  STDMETHOD  InitializeLabels
  STDMETHOD  RandomFillColumns, :sword,:sword
  STDMETHOD  RandomFillRows, :sword,:sword
  STDMETHOD  MoveData, :sword,:sword,:sword,:sword,:sword,:sword
  STDMETHOD  GetData, :sword,:sword,:ptr real8,:ptr sword
  STDMETHOD  SetData, :sword,:sword,:real8,:sword
  STDMETHOD  get_ColumnLabel, :sword,:sword,:ptr BSTR
  STDMETHOD  put_ColumnLabel, :sword,:sword,:BSTR
  STDMETHOD  get_CompositeColumnLabel, :sword,:ptr BSTR
  STDMETHOD  get_CompositeRowLabel, :sword,:ptr BSTR
  STDMETHOD  get_RowLabel, :sword,:sword,:ptr BSTR
  STDMETHOD  put_RowLabel, :sword,:sword,:BSTR
END_INTERFACE


BEGIN_INTERFACE IVcLightSource, IDispatch, <E9E074EC-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__Intensity, :ptr real4
  STDMETHOD  put__Intensity, :real4
  STDMETHOD  get_Intensity, :ptr real4
  STDMETHOD  put_Intensity, :real4
  STDMETHOD  get_X, :ptr real4
  STDMETHOD  put_X, :real4
  STDMETHOD  get_Y, :ptr real4
  STDMETHOD  put_Y, :real4
  STDMETHOD  get_Z, :ptr real4
  STDMETHOD  put_Z, :real4
  STDMETHOD  Set, :real4,:real4,:real4,:real4
END_INTERFACE


BEGIN_INTERFACE IVcLightSources, IDispatch, <E9E074EE-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__NewEnum, :ptr LPUNKNOWN
  STDMETHOD  get_Count, :ptr sdword
  STDMETHOD  Add_, :real4,:real4,:real4,:real4,:ptr ptr IVcLightSource
  STDMETHOD  Remove, :sword
  STDMETHOD  get_Item, :sword,:ptr ptr IVcLightSource
  STDMETHOD  get__Item, :sword,:ptr ptr IVcLightSource
END_INTERFACE


BEGIN_INTERFACE IVcLight, IDispatch, <E9E074F0-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_AmbientIntensity, :ptr real4
  STDMETHOD  put_AmbientIntensity, :real4
  STDMETHOD  get_EdgeIntensity, :ptr real4
  STDMETHOD  put_EdgeIntensity, :real4
  STDMETHOD  get_EdgeVisible, :ptr BOOL
  STDMETHOD  put_EdgeVisible, :BOOL
  STDMETHOD  get_LightSources, :ptr ptr IVcLightSources
END_INTERFACE


BEGIN_INTERFACE IVcView3d, IDispatch, <E9E074F2-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Rotation, :ptr real4
  STDMETHOD  put_Rotation, :real4
  STDMETHOD  get_Elevation, :ptr real4
  STDMETHOD  put_Elevation, :real4
  STDMETHOD  Set, :real4,:real4
END_INTERFACE


BEGIN_INTERFACE IVcPlotBase, IDispatch, <E9E074F4-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_BaseHeight, :ptr real4
  STDMETHOD  put_BaseHeight, :real4
  STDMETHOD  get_Brush, :ptr ptr IVcBrush
  STDMETHOD  get_Pen, :ptr ptr IVcPen
END_INTERFACE


BEGIN_INTERFACE IVcWeighting, IDispatch, <E9E074FA-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Basis, :ptr VtChPieWeightBasis
  STDMETHOD  put_Basis, :VtChPieWeightBasis
  STDMETHOD  get_Style, :ptr VtChPieWeightStyle
  STDMETHOD  put_Style, :VtChPieWeightStyle
  STDMETHOD  Set, :VtChPieWeightBasis,:VtChPieWeightStyle
END_INTERFACE


BEGIN_INTERFACE IVcWall, IDispatch, <E9E074FC-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Width, :ptr real4
  STDMETHOD  put_Width, :real4
  STDMETHOD  get_Brush, :ptr ptr IVcBrush
  STDMETHOD  get_Pen, :ptr ptr IVcPen
END_INTERFACE


BEGIN_INTERFACE IVcSeriesPosition, IDispatch, <E9E07502-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Excluded, :ptr BOOL
  STDMETHOD  put_Excluded, :BOOL
  STDMETHOD  get_Hidden, :ptr BOOL
  STDMETHOD  put_Hidden, :BOOL
  STDMETHOD  get_Order, :ptr sword
  STDMETHOD  put_Order, :sword
  STDMETHOD  get_StackOrder, :ptr sword
  STDMETHOD  put_StackOrder, :sword
END_INTERFACE


BEGIN_INTERFACE IVcSeriesMarker, IDispatch, <E9E07504-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Auto, :ptr BOOL
  STDMETHOD  put_Auto, :BOOL
  STDMETHOD  get_Show, :ptr BOOL
  STDMETHOD  put_Show, :BOOL
END_INTERFACE


BEGIN_INTERFACE IVcStatLine, IDispatch, <E9E07506-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Flag, :ptr sword
  STDMETHOD  put_Flag, :sword
  STDMETHOD  get_VtColor, :ptr ptr IVcColor
  STDMETHOD  get_Width, :ptr real4
  STDMETHOD  put_Width, :real4
  STDMETHOD  get_Style, :VtChStats,:ptr VtPenStyle
  STDMETHOD  put_Style, :VtChStats,:VtPenStyle
END_INTERFACE


BEGIN_INTERFACE IVcLabel, IDispatch, <E9E07508-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_Format, :ptr BSTR
  STDMETHOD  put_Format, :BSTR
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_Auto, :ptr BOOL
  STDMETHOD  put_Auto, :BOOL
  STDMETHOD  get_Standing, :ptr BOOL
  STDMETHOD  put_Standing, :BOOL
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  get_FormatLength, :ptr sword
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
END_INTERFACE


BEGIN_INTERFACE IVcLabels, IDispatch, <E9E0750A-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__NewEnum, :ptr LPUNKNOWN
  STDMETHOD  get_Count, :ptr sdword
  STDMETHOD  get__Item, :sword,:ptr ptr IVcLabel
  STDMETHOD  get_Item, :sword,:ptr ptr IVcLabel
END_INTERFACE


BEGIN_INTERFACE IVcDataPointLabel, IDispatch, <E9E0750C-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__Text, :ptr BSTR
  STDMETHOD  put__Text, :BSTR
  STDMETHOD  get_Text, :ptr BSTR
  STDMETHOD  put_Text, :BSTR
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_Offset, :ptr ptr IVcLCoor
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  get_LocationType, :ptr VtChLabelLocationType
  STDMETHOD  put_LocationType, :VtChLabelLocationType
  STDMETHOD  get_Custom, :ptr BOOL
  STDMETHOD  put_Custom, :BOOL
  STDMETHOD  get_Component, :ptr sword
  STDMETHOD  put_Component, :sword
  STDMETHOD  get_LineStyle, :ptr VtChLabelLineStyle
  STDMETHOD  put_LineStyle, :VtChLabelLineStyle
  STDMETHOD  get_ValueFormat, :ptr BSTR
  STDMETHOD  put_ValueFormat, :BSTR
  STDMETHOD  get_PercentFormat, :ptr BSTR
  STDMETHOD  put_PercentFormat, :BSTR
  STDMETHOD  get_TextLength, :ptr sword
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
  STDMETHOD  ResetCustomLabel
  STDMETHOD  Select
END_INTERFACE


BEGIN_INTERFACE IVcDataPoint, IDispatch, <E9E0750E-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_DataPointLabel, :ptr ptr IVcDataPointLabel
  STDMETHOD  get_Brush, :ptr ptr IVcBrush
  STDMETHOD  get_EdgePen, :ptr ptr IVcPen
  STDMETHOD  get_Marker, :ptr ptr IVcMarker
  STDMETHOD  get_Offset, :ptr real4
  STDMETHOD  put_Offset, :real4
  STDMETHOD  ResetCustom
  STDMETHOD  Select
END_INTERFACE


BEGIN_INTERFACE IVcDataPoints, IDispatch, <E9E0752A-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__NewEnum, :ptr LPUNKNOWN
  STDMETHOD  get_Count, :ptr sdword
  STDMETHOD  get_Item, :sword,:ptr ptr IVcDataPoint
  STDMETHOD  get__Item, :sword,:ptr ptr IVcDataPoint
END_INTERFACE


BEGIN_INTERFACE IVcSeries, IDispatch, <E9E07511-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__LegendText, :ptr BSTR
  STDMETHOD  put__LegendText, :BSTR
  STDMETHOD  get_SecondaryAxis, :ptr BOOL
  STDMETHOD  put_SecondaryAxis, :BOOL
  STDMETHOD  get_SeriesType, :ptr VtChSeriesType
  STDMETHOD  put_SeriesType, :VtChSeriesType
  STDMETHOD  get_GuideLinePen, :ptr ptr IVcPen
  STDMETHOD  get_ShowLine, :ptr BOOL
  STDMETHOD  put_ShowLine, :BOOL
  STDMETHOD  get_Pen, :ptr ptr IVcPen
  STDMETHOD  get_Position, :ptr ptr IVcSeriesPosition
  STDMETHOD  get_SeriesMarker, :ptr ptr IVcSeriesMarker
  STDMETHOD  get_StatLine, :ptr ptr IVcStatLine
  STDMETHOD  get_DataPoints, :ptr ptr IVcDataPoints
  STDMETHOD  get_LegendText, :ptr BSTR
  STDMETHOD  put_LegendText, :BSTR
  STDMETHOD  Select
  STDMETHOD  get_ShowGuideLine, :VtChAxisId,:ptr BOOL
  STDMETHOD  put_ShowGuideLine, :VtChAxisId,:BOOL
  STDMETHOD  get_TypeByChartType, :VtChChartType,:ptr VtChSeriesType
END_INTERFACE


BEGIN_INTERFACE IVcSeriesCollection, IDispatch, <E9E07513-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__NewEnum, :ptr LPUNKNOWN
  STDMETHOD  Count, :ptr sdword
  STDMETHOD  get_Item, :sword,:ptr ptr IVcSeries
  STDMETHOD  get__Item, :sword,:ptr ptr IVcSeries
END_INTERFACE

BEGIN_INTERFACE IVcAxisTitle, IDispatch, <E9E07515-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get__Text, :ptr BSTR
  STDMETHOD  put__Text, :BSTR
  STDMETHOD  get_Text, :ptr BSTR
  STDMETHOD  put_Text, :BSTR
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_VtFont, :ptr ptr IVcFont
  STDMETHOD  get_Visible, :ptr BOOL
  STDMETHOD  put_Visible, :BOOL
  STDMETHOD  get_TextLayout, :ptr ptr IVcTextLayout
  STDMETHOD  get_TextLength, :ptr sword
  STDMETHOD  putref_Font, :ptr IFontDisp
  STDMETHOD  get_Font, :ptr ptr IFontDisp
END_INTERFACE

BEGIN_INTERFACE IVcCategoryScale, IDispatch, <E9E07517-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Auto, :ptr BOOL
  STDMETHOD  put_Auto, :BOOL
  STDMETHOD  get_DivisionsPerLabel, :ptr sword
  STDMETHOD  put_DivisionsPerLabel, :sword
  STDMETHOD  get_DivisionsPerTick, :ptr sword
  STDMETHOD  put_DivisionsPerTick, :sword
  STDMETHOD  get_LabelTick, :ptr BOOL
  STDMETHOD  put_LabelTick, :BOOL
END_INTERFACE


BEGIN_INTERFACE IVcAxisGrid, IDispatch, <E9E0751B-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_MinorPen, :ptr ptr IVcPen
  STDMETHOD  get_MajorPen, :ptr ptr IVcPen
END_INTERFACE


BEGIN_INTERFACE IVcIntersection, IDispatch, <E9E0751D-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Auto, :ptr BOOL
  STDMETHOD  put_Auto, :BOOL
  STDMETHOD  get_Point, :ptr real8
  STDMETHOD  put_Point, :real8
  STDMETHOD  get_axisID, :ptr VtChAxisId
  STDMETHOD  get_Index, :ptr sword
  STDMETHOD  get_LabelsInsidePlot, :ptr BOOL
  STDMETHOD  put_LabelsInsidePlot, :BOOL
END_INTERFACE


BEGIN_INTERFACE IVcTick, IDispatch, <E9E0751F-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Length, :ptr real4
  STDMETHOD  put_Length, :real4
  STDMETHOD  get_Style, :ptr VtChAxisTickStyle
  STDMETHOD  put_Style, :VtChAxisTickStyle
END_INTERFACE


BEGIN_INTERFACE IVcAxisScale, IDispatch, <E9E07521-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Hide, :ptr BOOL
  STDMETHOD  put_Hide, :BOOL
  STDMETHOD  get_type, :ptr VtChScaleType
  STDMETHOD  put_type, :VtChScaleType
  STDMETHOD  get_LogBase, :ptr sword
  STDMETHOD  put_LogBase, :sword
  STDMETHOD  get_PercentBasis, :ptr VtChPercentAxisBasis
  STDMETHOD  put_PercentBasis, :VtChPercentAxisBasis
END_INTERFACE


BEGIN_INTERFACE IVcValueScale, IDispatch, <E9E07523-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Auto, :ptr BOOL
  STDMETHOD  put_Auto, :BOOL
  STDMETHOD  get_Minimum, :ptr real8
  STDMETHOD  put_Minimum, :real8
  STDMETHOD  get_Maximum, :ptr real8
  STDMETHOD  put_Maximum, :real8
  STDMETHOD  get_MajorDivision, :ptr sword
  STDMETHOD  put_MajorDivision, :sword
  STDMETHOD  get_MinorDivision, :ptr sword
  STDMETHOD  put_MinorDivision, :sword
END_INTERFACE


BEGIN_INTERFACE IVcAxis, IDispatch, <E9E07525-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_Pen, :ptr ptr IVcPen
  STDMETHOD  get_LabelLevelCount, :ptr sword
  STDMETHOD  get_CategoryScale, :ptr ptr IVcCategoryScale
  STDMETHOD  get_AxisGrid, :ptr ptr IVcAxisGrid
  STDMETHOD  get_Intersection, :ptr ptr IVcIntersection
  STDMETHOD  get_Tick, :ptr ptr IVcTick
  STDMETHOD  get_AxisScale, :ptr ptr IVcAxisScale
  STDMETHOD  get_ValueScale, :ptr ptr IVcValueScale
  STDMETHOD  get_AxisTitle, :ptr ptr IVcAxisTitle
  STDMETHOD  get_Labels, :ptr ptr IVcLabels
END_INTERFACE


BEGIN_INTERFACE IVcPlot, IDispatch, <E9E07527-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_AngleUnit, :ptr VtAngleUnits
  STDMETHOD  put_AngleUnit, :VtAngleUnits
  STDMETHOD  get_Clockwise, :ptr BOOL
  STDMETHOD  put_Clockwise, :BOOL
  STDMETHOD  get_Sort, :ptr VtSortType
  STDMETHOD  put_Sort, :VtSortType
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_StartingAngle, :ptr real4
  STDMETHOD  put_StartingAngle, :real4
  STDMETHOD  get_SubPlotLabelPosition, :ptr VtChSubPlotLabelLocationType
  STDMETHOD  put_SubPlotLabelPosition, :VtChSubPlotLabelLocationType
  STDMETHOD  get_BarGap, :ptr real4
  STDMETHOD  put_BarGap, :real4
  STDMETHOD  get_xGap, :ptr real4
  STDMETHOD  put_xGap, :real4
  STDMETHOD  get_AutoLayout, :ptr BOOL
  STDMETHOD  put_AutoLayout, :BOOL
  STDMETHOD  get_WidthToHeightRatio, :ptr real4
  STDMETHOD  put_WidthToHeightRatio, :real4
  STDMETHOD  get_DepthToHeightRatio, :ptr real4
  STDMETHOD  put_DepthToHeightRatio, :real4
  STDMETHOD  get_LocationRect, :ptr ptr IVcRect
  STDMETHOD  get_Projection, :ptr VtProjectionType
  STDMETHOD  put_Projection, :VtProjectionType
  STDMETHOD  get_zGap, :ptr real4
  STDMETHOD  put_zGap, :real4
  STDMETHOD  get_View3d, :ptr ptr IVcView3d
  STDMETHOD  get_PlotBase, :ptr ptr IVcPlotBase
  STDMETHOD  get_Weighting, :ptr ptr IVcWeighting
  STDMETHOD  get_Wall, :ptr ptr IVcWall
  STDMETHOD  get_SeriesCollection, :ptr ptr IVcSeriesCollection
  STDMETHOD  get_DataSeriesInRow, :ptr BOOL
  STDMETHOD  put_DataSeriesInRow, :BOOL
  STDMETHOD  get_Light, :ptr ptr IVcLight
  STDMETHOD  get_DefaultPercentBasis, :ptr VtChPercentAxisBasis
  STDMETHOD  get_UniformAxis, :ptr BOOL
  STDMETHOD  put_UniformAxis, :BOOL
  STDMETHOD  get_Axis, :VtChAxisId,:VARIANT,:ptr ptr IVcAxis
END_INTERFACE


BEGIN_INTERFACE _DMSChart, IDispatch, <3A2B370A-BA0A-11D1-B137-0000F8753F5D>
  STDMETHOD  get_AutoIncrement, :ptr BOOL
  STDMETHOD  put_AutoIncrement, :BOOL
  STDMETHOD  get_RandomFill, :ptr BOOL
  STDMETHOD  put_RandomFill, :BOOL
  STDMETHOD  get_chartType, :ptr VtChChartType
  STDMETHOD  put_chartType, :VtChChartType
  STDMETHOD  get_Column, :ptr sword
  STDMETHOD  put_Column, :sword
  STDMETHOD  get_ColumnCount, :ptr sword
  STDMETHOD  put_ColumnCount, :sword
  STDMETHOD  get_ColumnLabel, :ptr BSTR
  STDMETHOD  put_ColumnLabel, :BSTR
  STDMETHOD  get_ColumnLabelCount, :ptr sword
  STDMETHOD  put_ColumnLabelCount, :sword
  STDMETHOD  get_ColumnLabelIndex, :ptr sword
  STDMETHOD  put_ColumnLabelIndex, :sword
  STDMETHOD  get_Data, :ptr BSTR
  STDMETHOD  put_Data, :BSTR
  STDMETHOD  get_FootnoteText, :ptr BSTR
  STDMETHOD  put_FootnoteText, :BSTR
  STDMETHOD  get_Repaint, :ptr BOOL
  STDMETHOD  put_Repaint, :BOOL
  STDMETHOD  get_Row, :ptr sword
  STDMETHOD  put_Row, :sword
  STDMETHOD  get_RowCount, :ptr sword
  STDMETHOD  put_RowCount, :sword
  STDMETHOD  get_RowLabel, :ptr BSTR
  STDMETHOD  put_RowLabel, :BSTR
  STDMETHOD  get_RowLabelCount, :ptr sword
  STDMETHOD  put_RowLabelCount, :sword
  STDMETHOD  get_RowLabelIndex, :ptr sword
  STDMETHOD  put_RowLabelIndex, :sword
  STDMETHOD  get_SeriesColumn, :ptr sword
  STDMETHOD  put_SeriesColumn, :sword
  STDMETHOD  get_SeriesType, :ptr VtChSeriesType
  STDMETHOD  put_SeriesType, :VtChSeriesType
  STDMETHOD  get_ShowLegend, :ptr BOOL
  STDMETHOD  put_ShowLegend, :BOOL
  STDMETHOD  get_DrawMode, :ptr VtChDrawMode
  STDMETHOD  put_DrawMode, :VtChDrawMode
  STDMETHOD  get_BorderStyle, :ptr VtBorderStyle
  STDMETHOD  put_BorderStyle, :VtBorderStyle
  STDMETHOD  get_Enabled, :ptr BOOL
  STDMETHOD  put_Enabled, :BOOL
  STDMETHOD  get_hWnd, :ptr sdword
  STDMETHOD  get_Title, :ptr ptr IVcTitle
  STDMETHOD  get_Footnote, :ptr ptr IVcFootnote
  STDMETHOD  get_TitleText, :ptr BSTR
  STDMETHOD  put_TitleText, :BSTR
  STDMETHOD  get_Stacking, :ptr BOOL
  STDMETHOD  put_Stacking, :BOOL
  STDMETHOD  get_TextLengthType, :ptr VtTextLengthType
  STDMETHOD  put_TextLengthType, :VtTextLengthType
  STDMETHOD  get_AllowSelections, :ptr BOOL
  STDMETHOD  put_AllowSelections, :BOOL
  STDMETHOD  get_AllowSeriesSelection, :ptr BOOL
  STDMETHOD  put_AllowSeriesSelection, :BOOL
  STDMETHOD  get_AllowDynamicRotation, :ptr BOOL
  STDMETHOD  put_AllowDynamicRotation, :BOOL
  STDMETHOD  get_ActiveSeriesCount, :ptr sword
  STDMETHOD  get_Backdrop, :ptr ptr IVcBackdrop
  STDMETHOD  get_Legend, :ptr ptr IVcLegend
  STDMETHOD  get_DataGrid, :ptr ptr IVcDataGrid
  STDMETHOD  get_Plot, :ptr ptr IVcPlot
  STDMETHOD  get_AllowDithering, :ptr BOOL
  STDMETHOD  put_AllowDithering, :BOOL
  STDMETHOD  get_DoSetCursor, :ptr BOOL
  STDMETHOD  put_DoSetCursor, :BOOL
  STDMETHOD  get_Chart3d, :ptr BOOL
  STDMETHOD  get_ChartData, :ptr VARIANT
  STDMETHOD  put_ChartData, :VARIANT
  STDMETHOD  get_Chart, :ptr sdword
  STDMETHOD  get_MousePointer, :ptr VtMousePointer
  STDMETHOD  put_MousePointer, :VtMousePointer
  STDMETHOD  AboutBox
  STDMETHOD  Refresh
  STDMETHOD  EditPaste
  STDMETHOD  EditCopy
  STDMETHOD  Layout
  STDMETHOD  ToDefaults
  STDMETHOD  SelectPart, :sword,:sword,:sword,:sword,:sword
  STDMETHOD  GetSelectedPart, :ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  STDMETHOD  TwipsToChartPart, :sdword,:sdword,:ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  STDMETHOD  get_OLEDragMode, :ptr OLEDragConstants
  STDMETHOD  put_OLEDragMode, :OLEDragConstants
  STDMETHOD  get_OLEDropMode, :ptr OLEDropConstants
  STDMETHOD  put_OLEDropMode, :OLEDropConstants
  STDMETHOD  OLEDrag
  STDMETHOD  get_DataSource, :ptr ptr DataSource
  STDMETHOD  putref_DataSource, :ptr DataSource
  STDMETHOD  get_DataMember, :Pointer;:ptr DataMember
  STDMETHOD  put_DataMember, :dword;:DataMember
END_INTERFACE


BEGIN_INTERFACE _DMSChartEvents, IDispatch, <3A2B370B-BA0A-11D1-B137-0000F8753F5D>
  DISPMETHOD  OLEStartDrag, :ptr ptr DataObject,:ptr sdword
  DISPMETHOD  OLEGiveFeedback, :ptr sdword,:ptr BOOL
  DISPMETHOD  OLESetData, :ptr ptr DataObject,:ptr sword
  DISPMETHOD  OLECompleteDrag, :ptr sdword
  DISPMETHOD  OLEDragOver, :ptr ptr DataObject,:ptr sdword,:ptr sword,:ptr sword,:ptr real4,:ptr real4,:ptr sword
  DISPMETHOD  OLEDragDrop, :ptr ptr DataObject,:ptr sdword,:ptr sword,:ptr sword,:ptr real4,:ptr real4
  DISPMETHOD  ChartSelected, :ptr sword,:ptr sword
  DISPMETHOD  TitleSelected, :ptr sword,:ptr sword
  DISPMETHOD  FootnoteSelected, :ptr sword,:ptr sword
  DISPMETHOD  LegendSelected, :ptr sword,:ptr sword
  DISPMETHOD  PlotSelected, :ptr sword,:ptr sword
  DISPMETHOD  AxisSelected, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisLabelSelected, :ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisTitleSelected, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  PointSelected, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  PointLabelSelected, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  SeriesSelected, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  ChartActivated, :ptr sword,:ptr sword
  DISPMETHOD  TitleActivated, :ptr sword,:ptr sword
  DISPMETHOD  FootnoteActivated, :ptr sword,:ptr sword
  DISPMETHOD  LegendActivated, :ptr sword,:ptr sword
  DISPMETHOD  PlotActivated, :ptr sword,:ptr sword
  DISPMETHOD  AxisActivated, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisLabelActivated, :ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisTitleActivated, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  PointActivated, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  PointLabelActivated, :ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  SeriesActivated, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisUpdated, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisLabelUpdated, :ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  AxisTitleUpdated, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  ChartUpdated, :ptr sword
  DISPMETHOD  FootnoteUpdated, :ptr sword
  DISPMETHOD  LegendUpdated, :ptr sword
  DISPMETHOD  PlotUpdated, :ptr sword
  DISPMETHOD  PointUpdated, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  PointLabelUpdated, :ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  SeriesUpdated, :ptr sword,:ptr sword
  DISPMETHOD  TitleUpdated, :ptr sword
  DISPMETHOD  DataUpdated, :ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword,:ptr sword
  DISPMETHOD  DonePainting
  DISPMETHOD  Click
  DISPMETHOD  DblClick
  DISPMETHOD  KeyDown, :ptr sword,:sword
  DISPMETHOD  KeyPress, :ptr sword
  DISPMETHOD  KeyUp, :ptr sword,:sword
  DISPMETHOD  MouseDown, :sword,:sword,:OLE_XPOS_PIXELS,:OLE_YPOS_PIXELS
  DISPMETHOD  MouseMove, :sword,:sword,:OLE_XPOS_PIXELS,:OLE_YPOS_PIXELS
  DISPMETHOD  MouseUp, :sword,:sword,:OLE_XPOS_PIXELS,:OLE_YPOS_PIXELS
END_INTERFACE


sCLSID_DataObjectFiles  textequ <2334D2B4-713E-11CF-8AE5-00AA00C00905>
sCLSID_PlotBase         textequ <E9E074F5-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Shadow           textequ <E9E074DD-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Weighting        textequ <E9E074FB-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Pen              textequ <E9E074D2-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Wall             textequ <E9E074FD-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Fill             textequ <E9E074DF-BA0A-11D1-B137-0000F8753F5D>
sCLSID_SeriesPosition   textequ <E9E07503-BA0A-11D1-B137-0000F8753F5D>
sCLSID_LCoor            textequ <E9E074CC-BA0A-11D1-B137-0000F8753F5D>
sCLSID_SeriesMarker     textequ <E9E07505-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Frame            textequ <E9E074E1-BA0A-11D1-B137-0000F8753F5D>
sCLSID_StatLine         textequ <E9E07507-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Marker           textequ <E9E074D4-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Label_           textequ <E9E07509-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Backdrop         textequ <E9E074E3-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Labels           textequ <E9E0750B-BA0A-11D1-B137-0000F8753F5D>
sCLSID_DataObject       textequ <2334D2B2-713E-11CF-8AE5-00AA00C00905>
sCLSID_DataPointLabel   textequ <E9E0750D-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Title            textequ <E9E074E5-BA0A-11D1-B137-0000F8753F5D>
sCLSID_DataPoint        textequ <E9E0750F-BA0A-11D1-B137-0000F8753F5D>
sCLSID_TextLayout       textequ <E9E07529-BA0A-11D1-B137-0000F8753F5D>
sCLSID_DataPoints       textequ <E9E07510-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Footnote         textequ <E9E074E7-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Series           textequ <E9E07512-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Rect             textequ <E9E074CE-BA0A-11D1-B137-0000F8753F5D>
sCLSID_SeriesCollection textequ <E9E07514-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Legend           textequ <E9E074E9-BA0A-11D1-B137-0000F8753F5D>
sCLSID_AxisTitle        textequ <E9E07516-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Location         textequ <E9E074D7-BA0A-11D1-B137-0000F8753F5D>
sCLSID_CategoryScale    textequ <E9E07518-BA0A-11D1-B137-0000F8753F5D>
sCLSID_DataGrid         textequ <E9E074EB-BA0A-11D1-B137-0000F8753F5D>
sCLSID_AxisGrid         textequ <E9E0751C-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Coor             textequ <E9E074CA-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Intersection     textequ <E9E0751E-BA0A-11D1-B137-0000F8753F5D>
sCLSID_LightSource      textequ <E9E074ED-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Tick             textequ <E9E07520-BA0A-11D1-B137-0000F8753F5D>
sCLSID_VtFont           textequ <E9E074D9-BA0A-11D1-B137-0000F8753F5D>
sCLSID_AxisScale        textequ <E9E07522-BA0A-11D1-B137-0000F8753F5D>
sCLSID_LightSources     textequ <E9E074EF-BA0A-11D1-B137-0000F8753F5D>
sCLSID_ValueScale       textequ <E9E07524-BA0A-11D1-B137-0000F8753F5D>
sCLSID_VtColor          textequ <E9E074D0-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Axis             textequ <E9E07526-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Light            textequ <E9E074F1-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Plot             textequ <E9E07528-BA0A-11D1-B137-0000F8753F5D>
sCLSID_Brush            textequ <E9E074DB-BA0A-11D1-B137-0000F8753F5D>
sCLSID_View3d           textequ <E9E074F3-BA0A-11D1-B137-0000F8753F5D>
sCLSID_MSChart          textequ <3A2B370C-BA0A-11D1-B137-0000F8753F5D>
